format binary as "p"

	include 'INCLZX81\ZX81DEF.INC'		 ; definitions of constants
	include 'INCLZX81\ZX81BASC.INC' 	 ; definitions of constants

	; hardware options to be set and change defaults in ZX81DEF.INC
	MEMAVL	EQU	MEM_1K		; can be MEM_1K, MEM_2K, MEM_4K, MEM_8K, MEM_16K, MEM_32K, MEM_48k
	MARGVAL EQU	MARGPAL 	; margin of ZX81 dependend on tv system (MARGPAL or MARGNTSC)
	DISPMOD EQU	SLOW_MODE	; display mode to use (SLOW_MODE or FAST_MODE)
	AUTORUN	EQU   noauto_run     ; can be auto_run or noauto_run
;        AUTORUN  EQU   auto_run       ; can be auto_run or noauto_run

	include 'INCLZX81\ZX81VARS.INC' 	 ; create memory section with variables

		REM 1,asmcode_st,asmcode_end

asmcode_st:
; ##################################################
	; place own assembler code here
; ##################################################

	OUT	($FD),A
	LD	DE,0
	LD	BC,$7FFE
LOOP:	IN	A,(C)	      ; 12: read TAPE and test for SPACE key
	RLA		      ; 4: read TAPE value
	JR	NC,@f	      ; 7/12:
	INC	DE	      ; 6:
@@:	RRA		      ; 4:
	RRA		      ; 4: test for SPACE pressed.
	JR	C,LOOP	      ; 7/12: forward if so to BREAK-4
LEND:	OUT	($FE),A
	LD	B,D
	LD	C,E
	RET

; ##################################################
	; end of section for own assembler code
; ##################################################
asmcode_end:

auto_run:	db	NEWLINE

		db	0	; statement PRINT USR 16514
		db	2
		dw	$0E
		db	$F5,$D4,$1D,$22,$21,$1D,$20,$7E,$8F,1,4,0,0
		db	NEWLINE

		db	0		; line number of REM statement
		db	10		; line number of REM statement
		dw	2+3		  ; lenght of line
		db	$EA		; REM statement (token code)
		db	$3D
		db	$3E
		db	$3F
noauto_run:	db	NEWLINE

	include 'INCLZX81\ZX81POST.INC' 	 ; include D_FILE and needed memory areas

; end of program
